QGIS Application - Bug report #11677
Access violation when removing layer which is in the composer legend
2014-11-17 08:33 PM - Miroslav Umlauf

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 19922
Description

When removing layer which is in the print composer legend QGIS comes with "Access violation" window and makes impossible to
continue.

History

#1 - 2014-11-17 11:54 PM - Miroslav Umlauf
"Access violation" happens at the moment when print composer is open (if is open then immediately). If composer is not open and | try save project after

removing layer, QGIS crashes and also corrupt the project file so it can't be open anymore.

#2 - 2014-11-18 09:46 PM - Miroslav Umlauf

It seems it is only issue with legend created in version 2.4, if | create new legend in 2.6 it works as expected.

#3 - 2014-12-01 04:32 PM - Miroslav Umlauf
- Status changed from Open to Closed

Updated as #11774

Files

removing_layer_issue.PNG 81.4 KB 2014-11-17 Miroslav Umlauf

2025-05-20 1/1




